/*
 * YouGrabber
 *
 * A lightweight, ncurses-based, multi-threaded command line YouTube.com
 * video downloader with proxy support, made from scratch in ANSI C.
 *
 * Copyright (C) 2006-2007 Quetzy Garcia, <quetzyg@users.sourceforge.net>
 * For news and updates, see <http://yougrabber.sourceforge.net/>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdio.h>
#include <ctype.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <pthread.h>
#include <glib.h>
#include <panel.h>
#include <ncurses.h>
#include <curl/curl.h>

#ifndef CONFIG_H
  #include "config.h"
#endif

#ifndef DOWNLOAD_H
  #include "download.h"
#endif

#ifndef INTERFACE_H
  #include "interface.h"
#endif

#define _GNU_SOURCE
#define REENTRANT

/* app info */
#define YG_STRING  "YouGrabber"
#define YG_VERSION "0.29"
#define YG_AUTHOR  "Quetzy Garcia"
#define YG_EMAIL   "quetzyg@users.sourceforge.net"

/* cookie file */
#define OREO "cookie.jar"

/* set dip (downloads in progress) counter */
extern void dip_set(int i);

/* remove a download from the dip counter */
extern void dip_rem(void);

/* return current dip counter value */
extern int dip_get(void);

/* file name generator */
extern char *file_name_gen(char *dest, char *name, char *ext);

/* cut a string between two delimiters */
extern char *strcut(char *str, char *d1, char *d2);
