/*
 * YouGrabber
 *
 * A lightweight, ncurses-based, multi-threaded command line YouTube.com
 * video downloader with proxy support, made from scratch in ANSI C.
 *
 * Copyright (C) 2006-2007 Quetzy Garcia, <quetzyg@users.sourceforge.net>
 * For news and updates, see <http://yougrabber.sourceforge.net/>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CONFIG_H
  #define CONFIG_H 1
#endif

typedef struct __config C;

/* create configuration settings and return pointer */
extern C *config_new(void);

/* free configuration resources */
extern void config_free(C *c_ptr);

/* get configuration file path */
extern char *config_get_file_path(C *c_ptr);

/* get configuration proxy host */
extern char *config_get_proxy_host(C *c_ptr);

/* get configuration proxy port */
extern long config_get_proxy_port(C *c_ptr);

/* get configuration proxy type */
extern long config_get_proxy_type(C *c_ptr);

/* get configuration proxy username */
extern char *config_get_proxy_username(C *c_ptr);

/* get configuration proxy password */
extern char *config_get_proxy_password(C *c_ptr);

/* get configuration youtube username */
extern char *config_get_youtube_username(C *c_ptr);

/* get configuration youtube password */
extern char *config_get_youtube_password(C *c_ptr);

/* get configuration youtube login status */
extern int config_get_youtube_login_status(C *c_ptr);

/* set configuration youtube login status */
extern void config_set_youtube_login_status(C *c_ptr, int login_status);
