/*
 * YouGrabber
 *
 * A lightweight, ncurses-based, multi-threaded command line YouTube.com
 * video downloader with proxy support, made from scratch in ANSI C.
 *
 * Copyright (C) 2006-2007 Quetzy Garcia, <quetzyg@users.sourceforge.net>
 * For news and updates, see <http://yougrabber.sourceforge.net/>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef INTERFACE_H
  #define INTERFACE_H 1
#endif

typedef struct __frame F;
typedef struct __interface I;

/* start ncurses */
extern void interface_nc_start(void);

/* stop ncurses */
extern void interface_nc_stop(void);

/* create a new frame and return pointer */
extern F *interface_frame_new(D *d_ptr);

/* free frame resources (GFunc() type function) */
extern void interface_frame_free(gpointer data, gpointer user_data);

/* write to main interface window */
extern void interface_write_main(C *c_ptr);

/* write to current frame window */
extern void interface_write_frame(F *f_ptr);

/* refresh all interface windows */
extern void interface_refresh();

/* create new interface and return pointer */
extern I *interface_new(C *c_ptr, GList *f_list);

/* free interface resources */
extern void interface_free(I *i_ptr);

/* display interface */
extern int interface_main_loop(I *i_ptr);
